PHP 7.4.x na FreeBSD 11.3 i błąd Joomla 3.9.x - Strona 2
Strona 2 z 3 PierwszyPierwszy 123 OstatniOstatni
Wyniki 11 do 20 z 22

Temat: PHP 7.4.x na FreeBSD 11.3 i błąd Joomla 3.9.x

  1. #11
    Bywalec terra awatar
    Dołączył
    26-05-2017
    Skąd
    Wrocław
    Wpisy
    444
    Punkty
    50

    Domyślny

    Trochę porównujesz gruszki z jabłkami. Nie do końca wiem co dokładnie komunikaty oznaczają w przypadku FreeBSD, czy mysql oznacza faktycznie mysql, ale Joomla pracuje na MariaDB czyli np. wersja 10.4.x
    Może skorzystaj z xampp'a
    https://www.apachefriends.org/download.html dla linuxa i wtedy postaw Joomla.
    Includes: Apache 2.4.46, MariaDB 10.4.14, PHP 7.4.9 + SQLite 2.8.17/3.32.3 + multibyte (mbstring) support, Perl 5.32.0, ProFTPD 1.3.6, phpMyAdmin 5.0.2, OpenSSL 1.1.1g, GD 2.2.5, Freetype2 2.4.8, libpng 1.6.37, gdbm 1.8.3, zlib 1.2.11, expat 2.0.1, Sablotron 1.0.3, libxml 2.0.1, Ming 0.4.5, Webalizer 2.23-05, pdf class 0.11.7, ncurses 5.9, pdf class 0.11.7, mod_perl 2.0.11, FreeTDS 0.91, gettext 0.19.8.1, IMAP C-Client 2007e, OpenLDAP (client) 2.4.48, mcrypt 2.5.8, mhash 0.9.9.9, cUrl 7.53.1, libxslt 1.1.33, libapreq 2.13, FPDF 1.7, ICU4C Library 66.1, APR 1.5.2, APR-utils 1.5.4
    PS.
    Cytat Wysłane przez Jedrusia Zobacz wiadomość
    Mam postawione dwa identyczne, niezależne czyste środowiska FreeBSD 11.3. ....

    Ze zrzutów wynika, że nie są to identyczne środowiska ;)

  2. Pani Reklamowa
    Pani Reklamowa jest aktywna
    Avatar Panny Google

    Dołączył
    19-08-2010
    Skąd
    Internet
    Postów
    milion
    Pochwał
    setki
  3. #12
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny

    Hmm...
    Nie mam MariiDB, ale mysqli
    https://prnt.sc/ues4ij
    https://prnt.sc/ues50k
    FreeBSD to nie linux ale raczej odmiania Unix'a

  4. #13
    Bywalec terra awatar
    Dołączył
    26-05-2017
    Skąd
    Wrocław
    Wpisy
    444
    Punkty
    50

    Domyślny

    MySQLi nie oznacza bazy danych, a interfejs php do baz opartych o SQL, jeśli masz moduł MySQLi to oznacza że obsłuży on MySQL i MariaDB. Jeśli zalogujesz się z wiersza poleceń do bazy, to przywita cię informacją na jakiej bazie pracujesz.

  5. #14
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny

    Proszę bardzo. Korzystam z mysql 8.0.21
    https://prnt.sc/uf02to

  6. #15

  7. #16
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny

    Czy aby na pewno trzeba migrować do MariaDB ?
    Konfiguracja fpa:

    Cytat Wysłane przez Forum Post Assistant (v1.6.1) : 14-Sep-2020
    Cytat Wysłane przez Basic Environment ::
    Joomla! Instance :: Joomla! 3.9.21-Stable (Amani) 25-August-2020
    Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
    Joomla! Configured :: Yes | Writable (644) |
    Configuration Options :: Offline: false | SEF: true | SEF Suffix: false | SEF ReWrite: false | .htaccess/web.config: No | GZip: true | Cache: false | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: false | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: false | SSL: 0 | Error Reporting: none | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.9.21: Yes | Database Supports J! 3.9.21: Yes | Database Credentials Present: Yes |


    Host Configuration :: OS: FreeBSD | OS Version: 11.3-RELEASE-p11 | Technology: amd64 | Web Server: Apache/2.4.46 (FreeBSD) PHP/7.4.9 | Encoding: gzip, deflate | System TMP Writable: Yes | Free Disk Space : 431.92 GiB |


    PHP Configuration :: Version: 7.4.9 | PHP API: apache2handler | Session Path Writable: Yes | Display Errors: | Error Reporting: 22527 | Log Errors To: | Last Known Error: | Register Globals: | Magic Quotes: | Safe Mode: | Allow url fopen: 1 | Open Base: | Uploads: 1 | Max. Upload Size: 40M | Max. POST Size: 45M | Max. Input Time: 60 | Max. Execution Time: 300 | Memory Limit: 192M


    Database Configuration :: Version: 8.0.21 (Client:mysqlnd 7.4.9) | Database Size: 4.25 MiB | #of Tables with config prefix: 79 | #of other Tables: 0 | User Privileges : GRANT PROXY
    Cytat Wysłane przez Detailed Environment ::
    PHP Extensions :: Core (7.4.9) | date (7.4.9) | libxml (7.4.9) | pcre (7.4.9) | hash (7.4.9) | Reflection (7.4.9) | SPL (7.4.9) | session (7.4.9) | standard (7.4.9) | apache2handler (7.4.9) | mysqlnd (mysqlnd 7.4.9) | bz2 (7.4.9) | ctype (7.4.9) | curl (7.4.9) | dom (20031129) | mbstring (7.4.9) | fileinfo (7.4.9) | filter (7.4.9) | gd (7.4.9) | iconv (7.4.9) | imagick (3.4.4) | json (7.4.9) | exif (7.4.9) | mysqli (7.4.9) | openssl (7.4.9) | PDO (7.4.9) | sockets (7.4.9) | tokenizer (7.4.9) | xml (7.4.9) | zip (1.15.6) | zlib (7.4.9) | imap (7.4.9) | pdo_mysql (7.4.9) | Zend Engine (3.4.0) |
    Potential Missing Extensions ::


    Switch User Environment :: PHP CGI: No | Server SU: No | PHP SU: No | Potential Ownership Issues: Maybe


    Apache Modules :: core | mod_so | http_core | prefork | mod_authn_file | mod_authn_core | mod_authz_host | mod_authz_groupfile | mod_authz_user | mod_authz_core | mod_access_compat | mod_auth_basic | mod_reqtimeout | mod_filter | mod_mime | mod_log_config | mod_env | mod_headers | mod_setenvif | mod_version | mod_unixd | mod_status | mod_autoindex | mod_dir | mod_alias | mod_php7 | Apache/2.4.46 (FreeBSD) PHP/7.4.9 |
    Potential Missing Modules :: mod_rewrite | mod_expires | mod_deflate | mod_security | mod_evasive | mod_dosevasive | mod_ssl | mod_qos | mod_userdir |
    Cytat Wysłane przez Folder Permissions ::
    Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (---) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (755) |


    Elevated Permissions (First 10) ::
    Cytat Wysłane przez Database Information ::
    Database statistics :: Uptime: 909 | Threads: 2 | Questions: 91 | Slow queries: 0 | Opens: 211 | Flush tables: 3 | Open tables: 132 | Queries per second avg: 0.100 |
    Cytat Wysłane przez Extensions Discovered ::
    Components :: Site ::
    Core :: com_wrapper (3.0.0) 1 | com_mailto (3.0.0) 1 |
    3rd Party::


    Components :: Admin ::
    Core :: com_config (3.0.0) 1 | com_postinstall (3.2.0) 1 | com_actionlogs (3.9.0) 1 | com_cache (3.0.0) 1 | com_installer (3.0.0) 1 | com_finder (3.0.0) 1 | com_redirect (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_users (3.0.0) 1 | com_content (3.0.0) 1 | com_search (3.0.0) 1 | com_messages (3.0.0) 1 | com_tags (3.1.0) 1 | com_languages (3.0.0) 1 | com_fields (3.7.0) 1 | com_modules (3.0.0) 1 | com_associations (3.7.0) 1 | com_newsfeeds (3.0.0) 1 | com_templates (3.0.0) 1 | com_menus (3.0.0) 1 | com_ajax (3.2.0) 1 | com_contenthistory (3.2.0) 1 | com_banners (3.0.0) 1 | com_privacy (3.9.0) 1 | com_media (3.0.0) 1 | com_login (3.0.0) 1 | com_plugins (3.0.0) 1 | com_categories (3.0.0) 1 | com_joomlaupdate (3.6.2) 1 | com_checkin (3.0.0) 1 | com_admin (3.0.0) 1 |
    3rd Party::


    Modules :: Site ::
    Core :: mod_languages (3.5.0) 1 | mod_tags_similar (3.1.0) 1 | mod_articles_news (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_syndicate (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_footer (3.0.0) 1 | mod_login (3.0.0) 1 | mod_whosonline (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_related_items (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_articles_archive (3.0.0) 1 | mod_search (3.0.0) 1 | mod_custom (3.0.0) 1 |
    3rd Party::


    Modules :: Admin ::
    Core :: mod_custom (3.0.0) 1 | mod_version (3.0.0) 1 | mod_latestactions (3.9.0) 1 | mod_feed (3.0.0) 1 | mod_logged (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_latest (3.0.0) 1 | mod_sampledata (3.8.0) 1 | mod_popular (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_title (3.0.0) 1 | mod_login (3.0.0) 1 | mod_status (3.0.0) 1 | mod_privacy_dashboard (3.9.0) 1 |
    3rd Party::


    Libraries ::
    Core ::
    3rd Party::


    Plugins ::
    Core :: plg_system_sef (3.0.0) 1 | plg_system_log (3.0.0) 1 | plg_system_languagefilter (3.0.0) 0 | plg_system_stats (3.5.0) 1 | plg_system_p3p (3.0.0) 0 | PLG_SYSTEM_ACTIONLOGS (3.9.0) 1 | plg_system_fields (3.7.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_logrotation (3.9.0) 1 | plg_system_sessiongc (3.8.6) 1 | plg_system_updatenotification (3.5.0) 1 | plg_system_debug (3.0.0) 1 | plg_system_cache (3.0.0) 0 | plg_system_remember (3.0.0) 1 | plg_system_privacyconsent (3.9.0) 0 | plg_system_highlight (3.0.0) 1 | plg_system_logout (3.0.0) 1 | plg_system_redirect (3.0.0) 0 | plg_extension_joomla (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_finder_categories (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_contacts (3.0.0) 1 | plg_finder_content (3.0.0) 1 | plg_user_terms (3.9.0) 0 | plg_user_contactcreator (3.0.0) 0 | plg_user_joomla (3.0.0) 1 | plg_user_profile (3.0.0) 0 | plg_captcha_recaptcha_invisible (3.8) 0 | plg_captcha_recaptcha (3.4.0) 0 | plg_content_loadmodule (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_pagebreak (3.0.0) 1 | plg_content_vote (3.0.0) 0 | plg_content_confirmconsent (3.9.0) 0 | plg_content_emailcloak (3.0.0) 1 | plg_content_fields (3.7.0) 1 | plg_content_joomla (3.0.0) 1 | plg_content_finder (3.0.0) 0 | plg_installer_packageinstaller (3.6.0) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 1 | PLG_INSTALLER_URLINSTALLER (3.6.0) 1 | plg_installer_webinstaller (2.1.2) 1 | plg_editors-xtd_menu (3.7.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_module (3.5.0) 1 | plg_search_tags (3.0.0) 1 | plg_search_newsfeeds (3.0.0) 1 | plg_search_categories (3.0.0) 1 | plg_search_contacts (3.0.0) 1 | plg_search_content (3.0.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_privacycheck (3.9.0) 1 | plg_quickicon_phpversioncheck (3.7.0) 1 | plg_fields_list (3.7.0) 1 | plg_fields_repeatable (3.9.0) 1 | plg_fields_usergrouplist (3.7.0) 1 | plg_fields_media (3.7.0) 1 | plg_fields_imagelist (3.7.0) 1 | plg_fields_editor (3.7.0) 1 | plg_fields_checkboxes (3.7.0) 1 | plg_fields_textarea (3.7.0) 1 | plg_fields_integer (3.7.0) 1 | plg_fields_sql (3.7.0) 1 | plg_fields_calendar (3.7.0) 1 | plg_fields_user (3.7.0) 1 | plg_fields_radio (3.7.0) 1 | plg_fields_color (3.7.0) 1 | plg_fields_text (3.7.0) 1 | plg_fields_url (3.7.0) 1 | plg_twofactorauth_totp (3.2.0) 0 | plg_twofactorauth_yubikey (3.2.0) 0 | plg_authentication_ldap (3.0.0) 0 | plg_authentication_cookie (3.0.0) 1 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_gmail (3.0.0) 0 | plg_privacy_message (3.9.0) 1 | plg_privacy_user (3.9.0) 1 | plg_privacy_consents (3.9.0) 1 | plg_privacy_actionlogs (3.9.0) 1 | plg_privacy_content (3.9.0) 1 | PLG_ACTIONLOG_JOOMLA (3.9.0) 1 |
    3rd Party:: plg_editors_codemirror (5.56.0) 1 | plg_editors_tinymce (4.5.12) 1 |
    Cytat Wysłane przez Templates Discovered ::
    Templates :: Site :: beez3 (3.1.0) 1 | protostar (1.0) 1 |
    Templates :: Admin :: hathor (3.0.0) 1 | isis (1.0) 1 |

  8. #17
    Bywalec terra awatar
    Dołączył
    26-05-2017
    Skąd
    Wrocław
    Wpisy
    444
    Punkty
    50

    Domyślny

    Oczywiście, zgodnie z oficjalnym dokumentem nie musisz, bowiem MySQL jest nadal ofocjalną bazą. https://downloads.joomla.org/technical-requirements , ale jest to dosyć stary dokument, w praktyce powinieneś używać min. MySQL 5.6. (MariaDB 10.1.). Aktualnie większość srodowisk OpenSource i dystrybucje Xowe przechodzą na MariaDB. Z jakiegoś powodu na Twoim systemie nie działa wszystko poprawnie, więc pierwszym co nasuwa się do zrobienia, to zrównoważenie środowisk, więc...

  9. #18
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny

    Wydaje mi się, że problem związany jest z konfiguracją PHP po przejściu z wersji 7.3.21 na 7.4.9.
    Połączenie z bazą danych działa. MysQL mam w wersji 8.0.21

  10. #19
    Nowicjusz
    Dołączył
    07-09-2020
    Wpisy
    12
    Punkty
    2

    Domyślny

    Zainstalowano całe środowisko jeszcze raz od nowa i teraz wszystko działa (zrobiona kopia strony i wstawiona ponownie). Gdzie był problem ? Nie znaleziono przyczyny. Instalacja środowiska przebiegła dokładnie tak samo jak poprzednio, z tym że teraz z PHP 7.4.9.

  11. #20
    Bywalec terra awatar
    Dołączył
    26-05-2017
    Skąd
    Wrocław
    Wpisy
    444
    Punkty
    50

    Domyślny

    Z pewnością były różnice w środowiskach i tak jak mówiłem Joomla is KING i na 7.4 działa. Możliwe, że w dystrybucji brakowało jakiejś poprawki, albo biblioteki.

Strona 2 z 3 PierwszyPierwszy 123 OstatniOstatni

Podobne tematy

  1. błąd The requested URL /php-fcgi/php-fcgi-5.default/index.php was not found on this s
    przez majkigru na forum Instalacja, aktualizacja, migracje
    Odpowiedzi: 4
    Ostatni post/autor: 23-12-2011, 10:44
  2. error.php a .htaccess (ErrorDocument 404 /error.php) (joomla 1.7)
    przez mitas na forum Administracja - ogólnie
    Odpowiedzi: 5
    Ostatni post/autor: 01-09-2011, 12:29
  3. Odpowiedzi: 0
    Ostatni post/autor: 16-02-2010, 01:29
  4. instalacja na freebsd
    przez mkarach na forum Instalacja, aktualizacja, migracje
    Odpowiedzi: 2
    Ostatni post/autor: 11-02-2010, 21:54
  5. Błąd includes/joomla.php on line 71 / version.php
    przez MemfiS na forum Instalacje (Joomla!, składników)
    Odpowiedzi: 10
    Ostatni post/autor: 29-07-2007, 15:18

Reguły pisania

  • Nie możesz zakładać nowych tematów
  • Nie możesz dodawać wypowiedzi
  • Nie możesz dodawać załączników
  • Nie możesz poprawiać swoich postów
  •